require('lquery')
require('ui')
require('ui.button')
console = G.newFont('data/fonts/ru.ttf', 13)

background = Entity:new(screen)
:image(G.newImage('data/gfx/bg.jpg'))
local scale = G.getHeight()/background.h
background
:scale(scale,scale)
:move(G.getWidth()/2 - background.w*scale/2, G.getHeight()/2 - background.h*scale/2)

menu_main = Entity:new(screen)
Entity:new(menu_main):button('New game'):move(400-128,70)
Entity:new(menu_main):button('Resume game'):move(400-128,140)
Entity:new(menu_main):button('Settings', 
function()
  menu_main:hide()
  menu_options:show()
end):move(400-128,210)
Entity:new(menu_main):button('Quit', 
function()
  love.event.push('q')
end)
:move(400-128,300)

menu_options = Entity:new(screen):hide()
Entity:new(menu_options):button('Graphics', 
function()
  menu_graphics:show()
  menu_options:hide()
end):move(400-128,70)
Entity:new(menu_options):button('Audio'):move(400-128,140)
Entity:new(menu_options):button('Game'):move(400-128,210)
Entity:new(menu_options):button('Back', 
function()
  menu_main:show()
  menu_options:hide()
end)
:move(400-128,300)

menu_graphics = Entity:new(screen):hide()
Entity:new(menu_graphics):button('1'):move(400-128,70)
Entity:new(menu_graphics):button('2'):move(400-128,140)
Entity:new(menu_graphics):button('3'):move(400-128,210)
Entity:new(menu_graphics):button('Back', 
function()
  menu_graphics:hide()
  menu_options:show()
end):move(400-128,300)

text = Entity:new(screen):draw(function(s)
  G.setColor(255,255,255,255)
  G.setFont(console)
  G.print('fps: '..love.timer.getFPS() .. '\nMemory: ' .. gcinfo(),s.x,s.y)
end)



